Middle-Earth: Shadow of war (trainer does not support the current game)

The trainer does not support the current Version of the game, please Stinger (STN) fix this, solve this. I have many friends who also needs the hack to function for this game (Middle-Earth: Shadow of war). Thank you beforehand!

1 Like